net.minecraft.client.model

## Class ModelSheep2

- java.lang.Object
- - net.minecraft.client.model.ModelBase
  - - net.minecraft.client.model.ModelQuadruped
    - - net.minecraft.client.model.ModelSheep2

-     public class ModelSheep2
      extends ModelQuadruped

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.model.ModelQuadruped

      `body, head, leg1, leg2, leg3, leg4`

    - ### Fields inherited from class net.minecraft.client.model.ModelBase

      `boxList, isChild, isRiding, onGround, textureHeight, textureWidth`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelSheep2()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setLivingAnimations(EntityLivingBase par1EntityLivingBase, float par2, float par3, float par4)` Used for easily adding entity-dependent animations.
    `void` | `setRotationAngles(float par1, float par2, float par3, float par4, float par5, float par6, Entity par7Entity)` Sets the model's various rotation angles.

    - ### Methods inherited from class net.minecraft.client.model.ModelQuadruped

      `render`

    - ### Methods inherited from class net.minecraft.client.model.ModelBase

      `getRandomModelBox, getTextureOffset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelSheep2

          public ModelSheep2()

  - ### Method Detail

    - #### setLivingAnimations

          public void setLivingAnimations(EntityLivingBase par1EntityLivingBase,
                                 float par2,
                                 float par3,
                                 float par4)

      Used for easily adding entity-dependent animations. The second and third float params here are the same second and third as in the setRotationAngles method.
      Overrides:
        `setLivingAnimations` in class `ModelBase`

    - #### setRotationAngles

          public void setRotationAngles(float par1,
                               float par2,
                               float par3,
                               float par4,
                               float par5,
                               float par6,
                               Entity par7Entity)

      Sets the model's various rotation angles. For bipeds, par1 and par2 are used for animating the movement of arms and legs, where par1 represents the time(so that arms and legs swing back and forth) and par2 represents how "far" arms and legs can swing at most.
      Overrides:
        `setRotationAngles` in class `ModelQuadruped`